GET /v1/databaseSchemas/{id}/versions
from metadata.sdk import configure
from metadata.sdk.entities import DatabaseSchemas
configure(
host="https://your-company.open-metadata.org/api",
jwt_token="your-jwt-token"
)
# List all versions
versions = DatabaseSchemas.get_versions("770e8400-e29b-41d4-a716-446655440000")
for v in versions:
print(f"Version {v.version}: {v.description}")
# Get a specific version
schema_v1 = DatabaseSchemas.get_specific_version(
"770e8400-e29b-41d4-a716-446655440000",
"0.1"
)
print(f"Original description: {schema_v1.description}")
import static org.openmetadata.sdk.fluent.DatabaseSchemas.*;
// List all versions
var versions = DatabaseSchemas.getVersions("770e8400-e29b-41d4-a716-446655440000");
// Get a specific version
DatabaseSchema v1 = DatabaseSchemas.getSpecificVersion(
"770e8400-e29b-41d4-a716-446655440000",
"0.1"
);
System.out.println("Description: " + v1.getDescription());
# List all versions
curl "{base_url}/api/v1/databaseSchemas/f681432b-e66c-4096-a1cd-7771358c5323/versions" \
-H "Authorization: Bearer {access_token}"
# Get a specific version
curl "{base_url}/api/v1/databaseSchemas/f681432b-e66c-4096-a1cd-7771358c5323/versions/0.1" \
-H "Authorization: Bearer {access_token}"
{
"entityType": "databaseSchema",
"versions": [
"{\"id\":\"f681432b-e66c-4096-a1cd-7771358c5323\",\"name\":\"information_schema\",\"version\":0.2,\"description\":\"Updated schema for Glue service tables\"}",
"{\"id\":\"f681432b-e66c-4096-a1cd-7771358c5323\",\"name\":\"information_schema\",\"version\":0.1,\"description\":\"This **mock** database contains tables related to the Glue service\"}"
]
}
Database Schema Versions
List and retrieve historical versions of a database schema
GET
/
v1
/
databaseSchemas
/
{id}
/
versions
GET /v1/databaseSchemas/{id}/versions
from metadata.sdk import configure
from metadata.sdk.entities import DatabaseSchemas
configure(
host="https://your-company.open-metadata.org/api",
jwt_token="your-jwt-token"
)
# List all versions
versions = DatabaseSchemas.get_versions("770e8400-e29b-41d4-a716-446655440000")
for v in versions:
print(f"Version {v.version}: {v.description}")
# Get a specific version
schema_v1 = DatabaseSchemas.get_specific_version(
"770e8400-e29b-41d4-a716-446655440000",
"0.1"
)
print(f"Original description: {schema_v1.description}")
import static org.openmetadata.sdk.fluent.DatabaseSchemas.*;
// List all versions
var versions = DatabaseSchemas.getVersions("770e8400-e29b-41d4-a716-446655440000");
// Get a specific version
DatabaseSchema v1 = DatabaseSchemas.getSpecificVersion(
"770e8400-e29b-41d4-a716-446655440000",
"0.1"
);
System.out.println("Description: " + v1.getDescription());
# List all versions
curl "{base_url}/api/v1/databaseSchemas/f681432b-e66c-4096-a1cd-7771358c5323/versions" \
-H "Authorization: Bearer {access_token}"
# Get a specific version
curl "{base_url}/api/v1/databaseSchemas/f681432b-e66c-4096-a1cd-7771358c5323/versions/0.1" \
-H "Authorization: Bearer {access_token}"
{
"entityType": "databaseSchema",
"versions": [
"{\"id\":\"f681432b-e66c-4096-a1cd-7771358c5323\",\"name\":\"information_schema\",\"version\":0.2,\"description\":\"Updated schema for Glue service tables\"}",
"{\"id\":\"f681432b-e66c-4096-a1cd-7771358c5323\",\"name\":\"information_schema\",\"version\":0.1,\"description\":\"This **mock** database contains tables related to the Glue service\"}"
]
}
Database Schema Versions
Every change to a database schema entity creates a new version. Use these endpoints to view the version history and retrieve specific versions.List Versions
string
required
UUID of the database schema.
Get Specific Version
UseGET /v1/databaseSchemas/{id}/versions/{version} to retrieve a specific version.
string
required
UUID of the database schema.
string
required
Version number to retrieve (e.g.,
0.2).GET /v1/databaseSchemas/{id}/versions
from metadata.sdk import configure
from metadata.sdk.entities import DatabaseSchemas
configure(
host="https://your-company.open-metadata.org/api",
jwt_token="your-jwt-token"
)
# List all versions
versions = DatabaseSchemas.get_versions("770e8400-e29b-41d4-a716-446655440000")
for v in versions:
print(f"Version {v.version}: {v.description}")
# Get a specific version
schema_v1 = DatabaseSchemas.get_specific_version(
"770e8400-e29b-41d4-a716-446655440000",
"0.1"
)
print(f"Original description: {schema_v1.description}")
import static org.openmetadata.sdk.fluent.DatabaseSchemas.*;
// List all versions
var versions = DatabaseSchemas.getVersions("770e8400-e29b-41d4-a716-446655440000");
// Get a specific version
DatabaseSchema v1 = DatabaseSchemas.getSpecificVersion(
"770e8400-e29b-41d4-a716-446655440000",
"0.1"
);
System.out.println("Description: " + v1.getDescription());
# List all versions
curl "{base_url}/api/v1/databaseSchemas/f681432b-e66c-4096-a1cd-7771358c5323/versions" \
-H "Authorization: Bearer {access_token}"
# Get a specific version
curl "{base_url}/api/v1/databaseSchemas/f681432b-e66c-4096-a1cd-7771358c5323/versions/0.1" \
-H "Authorization: Bearer {access_token}"
{
"entityType": "databaseSchema",
"versions": [
"{\"id\":\"f681432b-e66c-4096-a1cd-7771358c5323\",\"name\":\"information_schema\",\"version\":0.2,\"description\":\"Updated schema for Glue service tables\"}",
"{\"id\":\"f681432b-e66c-4096-a1cd-7771358c5323\",\"name\":\"information_schema\",\"version\":0.1,\"description\":\"This **mock** database contains tables related to the Glue service\"}"
]
}
Returns
List versions returns an object withentityType and a versions array of serialized entity snapshots (newest first).
Get specific version returns the full database schema object as it existed at that version.
Error Handling
| Code | Error Type | Description |
|---|---|---|
401 | UNAUTHORIZED | Invalid or missing authentication token |
404 | NOT_FOUND | Database schema or version does not exist |
Was this page helpful?